/* Very simple program - just sets the kernel level debugging */
#ifndef lint
static char Rcsid[] = "@(#)$Header: tundebug.c,v 1.2 88/07/11 08:29:11 jpo Exp $";
#endif

/*
 * Copyright (c) 1988, Julian Onions. 
 *
 * This source may be freely distributed, however I would be interested
 * in any changes that are made.
 */

/*
 * $Header: tundebug.c,v 1.2 88/07/11 08:29:11 jpo Exp $
 *
 * $Log:	tundebug.c,v $
 * Revision 1.2  88/07/11  08:29:11  jpo
 * Some tidying up
 * 
 * Revision 1.1  87/11/04  14:39:13  jpo
 * Initial revision
 * 
 *
 */

#include <sys/ioctl.h>
#include <netinet/if_tnreg.h>
#include <stdio.h>

extern int errno;

main(argc, argv)
int	argc;
char	**argv;
{
	int	flag = 0,
		e;
	int	fd;

	if (argc <= 1)
	{
		fprintf (stderr, "usage: %s device on|off\n", argv[0]);
		exit (1);
	}
	if (argc > 2 ) {
		if (strcmp (argv[2], "on") == 0)
			flag = 1;
		else if (strcmp(argv[2], "off") == 0)
			flag = 0;
		else	fprintf (stderr, "%s: %s not recognised\n",
				 argv[0], argv[2]);
	}
	if((fd = open(argv[1], 2)) == -1)
	{
		e = errno;
		fprintf (stderr, "%s: %s can't open", argv[0], argv[1]);
		errno = e;
		perror(" ");
		exit(1);
	}
	if(ioctl(fd, TUNSDEBUG, &flag) == -1)
	{
		perror("ioctl");
		exit (1);
	}
	(void) close (fd);
	exit (0);
}
